from distutils.core import setup
from setuptools import find_packages

with open("README.md", "r") as f:
    READ_ME_CONTENT = f.read()

setup(
    name="chungso",
    version="0.1.1",
    license="MIT",
    description="S3 staging data (Parquet, JSON) offboarding tool",
    long_description=READ_ME_CONTENT,
    packages=find_packages(exclude=["tests"]),
    author="Sammie Bae",
    author_email="baesammie@gmail.com",
    url="https://github.com/kokiri-io/chungso",
    keywords=["parquet", "s3", "GDPR"],
    install_requires=["pyarrow", "boto3", "botocore"],
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Intended Audience :: Developers",
        "Topic :: Software Development :: Build Tools",
        "License :: OSI Approved :: MIT License",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Programming Language :: Python :: 3.11",
    ],
)
