from dataclasses import dataclass
from datetime import datetime
from enum import Enum
from typing import Any


class FilterType(Enum):
    UNKNOWN = 0
    EQUAL = 1
    EQUAL_IN = 2
    GREATER = 3
    GREATER_EQUAL = 4
    LESSER = 5
    LESSER_EQUAL = 6


@dataclass
class AndFilterExpr:
    filter_type: FilterType
    column: str
    value: Any


@dataclass
class OffboardLog:
    data_id: str
    before_count: int
    after_count: int
    has_executed_delete: bool
    offboaded_epoch: int

    def __str__(self):
        return "data_id={},before_count={},after_count={},has_executed_delete={},\
            offboaded_epoch='{}'".format(
            self.data_id,
            self.before_count,
            self.after_count,
            self.has_executed_delete,
            datetime.fromtimestamp(self.offboaded_epoch),
        )
