import time


class Timer:
    def __init__(self):
        self._start_time = None
        self._end_time = None
        self._elapsed_time = None

    @property
    def elapsed_sec(self):
        return self._elapsed_time

    @property
    def elapsed_ms(self):
        return self._elapsed_time * 1000

    def __enter__(self):
        self._start_time = time.time()
        return self

    def __exit__(self, exc_type, exc_val, exc_tb):
        self._end_time = time.time()
        self._elapsed_time = self._end_time - self._start_time
