import time
import unittest

from src.platform.common.timer import Timer


class TimerTest(unittest.TestCase):
    def test_elapsed_time_in_seconds(self):
        with Timer() as timer:
            time.sleep(1)
        elapsed_sec = timer.elapsed_sec
        self.assertAlmostEqual(elapsed_sec, 1.0, delta=0.1)

    def test_elapsed_time_in_milliseconds(self):
        with Timer() as timer:
            time.sleep(0.5)
        elapsed_ms = timer.elapsed_ms
        self.assertAlmostEqual(elapsed_ms, 500.0, delta=100.0)


if __name__ == "__main__":
    unittest.main()
